import config
import json
from fastapi import FastAPI

# import mysql_connector
from fastgpt_uploader import upload2fastgpt
from semanticscholar import search_paper

app = FastAPI()

def query(query:str):
    res = []
    list = search_paper(json.loads(query))
    for i in list:
        res.append({'q':i['title'], 'a':i['abstract']})
        print(i['title'])
    return res

@app.get("/fastdoi")
async def get_reference(questions):
    res = query(questions)
    upload2fastgpt(res)
    return res

if __name__ == '__main__':
    import uvicorn
    uvicorn.run(app, host="127.0.0.1", port=2501)
    # mysql_connector.end_mysql()